Help us improve Answers HQ! Take Survey No, Thanks

Free will-Bug: My Sims won't do anything...

by HefHughner81
Reply

Original Post

Free will-Bug: My Sims won't do anything...

[ Edited ]
★★★★ Novice

Hi,

 

i'm new to this game and this is probably my fourth day playing it. Everything worked (except for crash on day 2) fine till yesterday: I made a Sim, that Sim got married and now has four kids. All of a sudden two things started happening: 

 

1) The Sims will suddenly stop doing what they want and just stand still. They are hungry and sleepy, but they won't do anything about it. (Free will is checked)

 

2) The order to cook food is completely ignored. The game charges me for a meal, but the order "vanishes" and the Sim will not go to the kitchen and cook.

 

I tried restarting, clearing the cache, redecorating the house, moving out and in, but all this seems to fix the problem only temporarily. Only ten minutes after i started playing today one of the kids started to to just stand in the bedroom doing nothing, missing school etc, my main sim refused to cook... This is so frustrating and makes the game unplayable, when i have to restart the game every ten minutes.    

 

 

 

Message 1 of 5 (864 Views)

Re: Free will-Bug: My Sims won't do anything...

[ Edited ]
★★★★ Novice

Me again, i don't want to push the thread, but i think i found something that might help identifying the problem: After having to quit for the fifth time this evening, i wanted check if there are new cache files i could delete. Instead i found a few text-documents with the name "Last exception". I looked into these and saw they mention the "Autonomy" as a problem. Here is an example: 

 

Spoiler
<?xml version="1.0" ?><root>
<report><version>2</version><sessionid>3534142a6ce566d54dbe11a</sessionid><type>desync</type><sku>ea.maxis.sims4.13.pc</sku><createtime>2015-02-12 00:11:21</createtime><buildsignature>Local.Unknown.Unknown.1.4.83.1010-1.300.000.35.Release</buildsignature><categoryid>log.py:351</categoryid><desyncid>3534142a6ce566d54dbe11a</desyncid><systemconfig/><screenshot/><desyncdata> File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1616, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 983, in _calculate_route_time_and_opportunity&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 130, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 1973, in _estimate_distance_cache_key&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\interaction.py", line 3349, in constraint_intersection&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1592, in apply_posture_state&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1461, in resolve&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2908, in create_required_slot_set&#13;&#10;RuntimeError: ('Unexpected relative object ID: not target, container, or surface. object_id: {} asm: {} state_name {}', 105, ASM :: GetPut_Fridge_Get (HANDLE :: 11590)>, 'get')&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 211, in simulate&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 373, in _run&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 494, in _process_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 431, in _update_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 261, in run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1259, in _run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1552, in _score_object_interactions_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1618, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 656, in callstack&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 374, in callstack&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 351, in generate_message_with_callstack&#13;&#10;IndexError: tuple index out of range&#13;&#10;</desyncdata></report>
<report><version>2</version><sessionid>3534142a6ce566d54dbe11a</sessionid><type>desync</type><sku>ea.maxis.sims4.13.pc</sku><createtime>2015-02-12 00:11:23</createtime><buildsignature>Local.Unknown.Unknown.1.4.83.1010-1.300.000.35.Release</buildsignature><categoryid>log.py:351</categoryid><desyncid>3534142a6ce566d54dbe11a</desyncid><systemconfig/><screenshot/><desyncdata> File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1616, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 983, in _calculate_route_time_and_opportunity&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 130, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 1973, in _estimate_distance_cache_key&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\interaction.py", line 3349, in constraint_intersection&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1592, in apply_posture_state&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1461, in resolve&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2908, in create_required_slot_set&#13;&#10;RuntimeError: ('Unexpected relative object ID: not target, container, or surface. object_id: {} asm: {} state_name {}', 105, ASM :: GetPut_Fridge_Get (HANDLE :: 11627)>, 'get')&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 211, in simulate&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 373, in _run&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 494, in _process_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 431, in _update_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 261, in run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1259, in _run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1552, in _score_object_interactions_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1618, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 656, in callstack&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 374, in callstack&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 351, in generate_message_with_callstack&#13;&#10;IndexError: tuple index out of range&#13;&#10;</desyncdata></report>
<report><version>2</version><sessionid>3534142a6ce566d54dbe11a</sessionid><type>desync</type><sku>ea.maxis.sims4.13.pc</sku><createtime>2015-02-12 00:11:23</createtime><buildsignature>Local.Unknown.Unknown.1.4.83.1010-1.300.000.35.Release</buildsignature><categoryid>log.py:351</categoryid><desyncid>3534142a6ce566d54dbe11a</desyncid><systemconfig/><screenshot/><desyncdata> File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1616, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 983, in _calculate_route_time_and_opportunity&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 130, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 1973, in _estimate_distance_cache_key&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\interaction.py", line 3349, in constraint_intersection&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1592, in apply_posture_state&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1461, in resolve&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2908, in create_required_slot_set&#13;&#10;RuntimeError: ('Unexpected relative object ID: not target, container, or surface. object_id: {} asm: {} state_name {}', 105, ASM :: GetPut_Fridge_Get (HANDLE :: 11645)>, 'get')&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 216, in simulate&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 382, in _resume&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 494, in _process_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 431, in _update_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 261, in run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1259, in _run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1552, in _score_object_interactions_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1618, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 656, in callstack&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 374, in callstack&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 351, in generate_message_with_callstack&#13;&#10;IndexError: tuple index out of range&#13;&#10;</desyncdata></report>
<report><version>2</version><sessionid>3534142a6ce566d54dbe11a</sessionid><type>desync</type><sku>ea.maxis.sims4.13.pc</sku><createtime>2015-02-12 00:11:51</createtime><buildsignature>Local.Unknown.Unknown.1.4.83.1010-1.300.000.35.Release</buildsignature><categoryid>log.py:351</categoryid><desyncid>3534142a6ce566d54dbe11a</desyncid><systemconfig/><screenshot/><desyncdata> File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1616, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 983, in _calculate_route_time_and_opportunity&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 130, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 1973, in _estimate_distance_cache_key&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\interaction.py", line 3349, in constraint_intersection&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1592, in apply_posture_state&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1461, in resolve&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2908, in create_required_slot_set&#13;&#10;RuntimeError: ('Unexpected relative object ID: not target, container, or surface. object_id: {} asm: {} state_name {}', 105, ASM :: GetPut_Fridge_Get (HANDLE :: 11678)>, 'get')&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 211, in simulate&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 373, in _run&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 494, in _process_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 431, in _update_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 261, in run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1259, in _run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1552, in _score_object_interactions_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1618, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 656, in callstack&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 374, in callstack&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\log.py", line 351, in generate_message_with_callstack&#13;&#10;IndexError: tuple index out of range&#13;&#10;</desyncdata></report>
<report><version>2</version><sessionid>3534142a6ce566d54dbe11a</sessionid><type>desync</type><sku>ea.maxis.sims4.13.pc</sku><createtime>2015-02-12 00:11:54</createtime><buildsignature>Local.Unknown.Unknown.1.4.83.1010-1.300.000.35.Release</buildsignature><categoryid>log.py:351</categoryid><desyncid>3534142a6ce566d54dbe11a</desyncid><systemconfig/><screenshot/><desyncdata> File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1616, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 983, in _calculate_route_time_and_opportunity&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 130, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 1973, in _estimate_distance_cache_key&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\interaction.py", line 3349, in constraint_intersection&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1592, in apply_posture_state&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1461, in resolve&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2908, in create_required_slot_set&#13;&#10;RuntimeError: ('Unexpected relative object ID: not target, container, or surface. object_id: {} asm: {} state_name {}', 105, ASM :: GetPut_Fridge_Get (HANDLE :: 11694)>, 'get')&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 216, in simulate&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 382, in _resume&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 494, in _process_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 431, in _update_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py"

Message 2 of 5 (849 Views)

Re: Free will-Bug: My Sims won't do anything...

Hero

Did you try right clicking on the game in Origin and hit repair game ?

 

Thanks for the exception file though, that might be useful

Happy Gaming
Crin


Trennlinie


I don't work or have any association with EA. I give advice to the best of my knowledge and cannot be held responsible for any damage done to your computer/game.

Please only contact me via PM when asked to do so.


Important Threads


Message 3 of 5 (843 Views)

Re: Free will-Bug: My Sims won't do anything...

[ Edited ]
★★★★ Novice

Hi, 

 

sorry i respond so late. Reparing helped. I was able to play a very long time without this problem, but it still happens. Are you able to read the "last exception"-file? I would like to know if this is a bug or if some changes made to the house - buying new stuff etc. is the cause. 

 

Message 4 of 5 (828 Views)

Re: Free will-Bug: My Sims won't do anything...

Hero

I'm not but EA is

Happy Gaming
Crin


Trennlinie


I don't work or have any association with EA. I give advice to the best of my knowledge and cannot be held responsible for any damage done to your computer/game.

Please only contact me via PM when asked to do so.


Important Threads


Message 5 of 5 (825 Views)
sims-four-characters

The Sims 4 Patch Notes

Check out the latest updates and bug fixes

View more on EA Help
white-sims-bg

Restore a previous saved game

Choose from an automatically stored save point in The Sims 4 if your data's corrupted or you want to revert anyway.

View more on EA Help

ea-help-promo

Forget your EA Account ID or password?

Reset, update, or link your account information.

View More on EA Help